=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2005-10-13 06:33:22 +0000
+++ bzrlib/builtins.py	2005-10-13 07:06:01 +0000
@@ -1466,3 +1466,9 @@
             annotate_file(b, file_version, file_id, sys.stdout)
         finally:
             b.unlock()
+
+# these get imported and then picked up by the scan for cmd_*
+# TODO: Some more consistent way to split command definitions across files;
+# we do need to load at least some information about them to know of 
+# aliases.
+from bzrlib.conflicts import cmd_resolve, cmd_conflicts

=== renamed file 'bzrlib/plugins/conflicts.py' => 'bzrlib/conflicts.py'
--- bzrlib/plugins/conflicts.py	2005-10-11 10:01:30 +0000
+++ bzrlib/conflicts.py	2005-10-13 07:06:01 +0000
@@ -22,13 +22,14 @@
 # TODO: bzr revert should resolve; even when reverting the whole tree
 # or particular directories
 
+import os
+import errno
+
 import bzrlib.status
 from bzrlib.branch import Branch
 from bzrlib.errors import BzrCommandError
 from bzrlib.commands import register_command
 from bzrlib.workingtree import CONFLICT_SUFFIXES
-import os
-import errno
 
 class cmd_conflicts(bzrlib.commands.Command):
     """List files with conflicts.
@@ -39,8 +40,6 @@
         for path in Branch.open_containing('.').working_tree().iter_conflicts():
             print path
 
-register_command(cmd_conflicts)
-
 class cmd_resolve(bzrlib.commands.Command):
     """Mark a conflict as resolved.
     """
@@ -72,5 +71,3 @@
                     print "%s does not exist" % filename
                 else:
                     print "%s is not conflicted" % filename
-                        
-register_command(cmd_resolve)

